Subject: Debugging tools

From: "David H. Lynch Jr." <[email-masked]>
Date: Thu, 08 Jun 2006 19:08:32 -0400

I have encountered one of the rare instances where I need/want more
debugging resources than an LED on an IO port.

    I am looking for some recommendations as well as understanding of
the lighter weight debugging tools that are available.
    I am dealing with a Xilinx V4 PPC405  FPGA. It is hosted in a
computer running Windows XP. Aparently there is a JTAG port
    on the device that emulates a JTAG parallel port on LPT3 on the host
side.

    I was hoping to be able to bring up gdb, download an elf file to the
target and step through a program to see where it is going off the rails.

    A bit of research suggests that there are gdbservers that bridge
between gdb and JTAG. But all the links I have found to rproxy seem to
be broken, and those for gdbproxy seem to be
    for other processors.